Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon
Accepted Solution

SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

SDK 1.0.6 has been released and will only work with 4.5 of FB.  However, the SDK release notes refer to the current SDK as "1.1".

 

See:

http://docs.blackberry.com/en/developers/deliverables/21880/Product_information_1589456_11.jsp

 

Is 1.0.6 = 1.1, or will there be another SDK release called "1.1"?

Please use plain text.
Developer
JohnPinkerton
Posts: 350
Registered: ‎01-21-2011
My Device: Curve 8900 (Personal) / Bold 9650 (Work)
My Carrier: Regional

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

[ Edited ]

I only see it as simulator being updated?
http://us.blackberry.com/developers/tablet/adobe.jsp

 

EDIT: Me and my big mouth: SDKs updated on June 20, 2011 (v1.1)

Please use plain text.
New Developer
ranjk89
Posts: 10
Registered: ‎03-31-2011
My Device: Blackberry Playbook
My Carrier: .

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

Tablet OS sdk 1.1 is updated today (20.06.2011)

 

http://us.blackberry.com/developers/tablet/adobe.jsp

Ranjith. K
Please use plain text.
Developer
kylefowler
Posts: 526
Registered: ‎05-17-2009
My Device: 9900
My Carrier: ATT

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

I wonder when they will update the api docs with any new stuff.

Like all of my posts
Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

[ Edited ]

I do this with the BlackBerry Java API as well. Replace:

http://www.blackberry.com/developers/docs/airapi/1.0.0/index.html

with

http://www.blackberry.com/developers/docs/airapi/1.1.0/index.html

 

I haven't checked for any differences but version at the top didn't change.

 

EDIT: Also, check your PlayBook. OS 1.0.6 is officially out.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
BlackBerry Development Advisor
elena_laskavaia
Posts: 417
Registered: ‎10-27-2010
My Device: PlayBook

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

SDK version is 1.1 targeting OS 1.0.6 or higher, jtegen where did you see it is called 1.0.6?
Please use plain text.
Developer
pyth
Posts: 501
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

Has anyone tested this SDK with FB 4.0 yet?

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Please use plain text.
Developer
jtegen
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

My Bad. It was the simulator that was 1.0.6. Gets a little confusing with all the different versions to keep track of between Flash Builder, AIR SDK, QNX SDK, and BBTOS.
Please use plain text.
New Developer
NormanF
Posts: 120
Registered: ‎11-24-2010
My Device: 9700

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

Can you use qnx controls in the visual designer now or do I need to keep doing everything  in AS and use an edit/build/run loop to check the layout of my screens?

Please use plain text.
Regular Contributor
Transcendental_Mobile
Posts: 94
Registered: ‎04-07-2011
My Device: PlayBook
My Carrier: QED

Re: SDK 1.0.6 (FB4.5. only now) or is it SDK 1.1.0?

This was one of the themes of the author of the famous "Open Letter to RIM" (from a developer). I don't have the links handy (original letter, RIM's reply, his response).


jtegen wrote:
My Bad. It was the simulator that was 1.0.6. Gets a little confusing with all the different versions to keep track of between Flash Builder, AIR SDK, QNX SDK, and BBTOS.

 

Please use plain text.